# import to pclinuxos by <Daniel Meiß-Wilhelm> on <30 Oct 2017>
# PCLinuxOS Copyright by Bill Reynolds (Texstar.)

%define prefix  /usr
%define name   mygrub-editor
%define version 1.18
%define release %mkrel 2
%define url http://www.pclinuxos.com

Name:			%{name}
Version:		%{version}
Release:		%{release}
License:	    GPL2
Group:		    System/Configuration/Boot and Init
URL:			    %{url}
Source:        %{name}.tar.xz
Summary:	Edit the default grub config file
BuildRoot:	%{_tmppath}/%{name}-buildroot
Requires:	     gtkdialog, coreutils, xterm
Requires:      lib64canberra-gtk0
Obsoletes:	%name < %version
Obsoletes:	defaultGRUBeditor < %version

%description
%{summary}.
Your own GRUB settings are stored in the /etc/default/grub file. Edit this file to change GRUB2’s settings.

%prep

%setup -q -n %{name}

%build


%install
rm -rf $RPM_BUILD_ROOT

mkdir -p %{buildroot}/%{_bindir}
install -m 755 %{name} %{buildroot}/%{_bindir}/

mkdir -p %{buildroot}%{_datadir}/applications
install -m 755 %{name}.desktop %{buildroot}%{_datadir}/applications/%{name}.desktop

mkdir -p %buildroot/%{_iconsdir}/hicolor/32x32/apps
convert $RPM_BUILD_DIR/%{name}/%{name}.png -resize 32x32 %buildroot/%{_iconsdir}/hicolor/32x32/apps/%{name}.png

# i18n - Internationalization - Internationalisierung
mkdir -p %{buildroot}%{_datadir}/locale/de/LC_MESSAGES
msgfmt -o  %{buildroot}%{_datadir}/locale/de/LC_MESSAGES/%{name}.mo $RPM_BUILD_DIR/%{name}/po/%{name}-de_DE.po


%post
%{update_menus}
%{update_desktop_database}


%postun
%{clean_menus}
%{clean_desktop_database}

%files
%defattr(-,root,root)
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/32x32/apps/%{name}.png
%{_datadir}/locale/de/LC_MESSAGES/%{name}.mo
%doc grub2_*.txt Changelog

%clean
rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}

%changelog
* Thu Sep 26 2023 tex - 1.18-2pclos2023
- change desktop file to Configure you Grub

* Tue Sep 12 2023 daniel <> 1.18-1pclos2023
- removed terminal output when something is true,
  it is always display in the gui.
- add German description about grub2 on help dialog
- clean script
- add dialog Info

* Tue Aug 29 2023 daniel <> 1.17-1pclos2023
- Fixed crashing by rewrite function to open

* Tue Aug 29 2023 daniel <> 1.16-1pclos2023
- fix crashing on Grub_theme
 
* Thu Aug 24 2023 daniel <> 1.15-1pclos2023
- rename GUI script to mygrub-editor
- add button to update only GRUB
- add pot file
- add german language

* Thu Aug 03 2023 daniel <> 1.13-1pclos2023
- fix crash under KDE

* Mon Sep 20 2021 daniel <> 1.12-1pclos2021
- fix bug in cmdline
- added menubar 
- back in new syle

* Thu Sep 16 2021 daniel <> 1.11-1pclos2021
- downgrade, something goes wrong in new build

* Wed Sep 15 2021 daniel <> 1.1-1pclos2021
- rewrite application

* Thu Feb 11 2021 daniel <> 1.05-1pclos2021
- rename GUI from defaultGRUBeditor to Configure grub
- change name in starter to Configure grub, and add German 
  name and comment
- remove -hold by update-grub, xterm will closed automatically
- add to tree headers-visible="false" selection-mode="false"
  
* Wed Mar 25 2020 Ken <lxgator at gmail.com> 1.04-1pclos2020
- add using polkit instead of gksu 
- replaced list to tree (daniel)
- moved gksu from specfile (daniel)
- add dialog to close after settings are done (daniel)
- add Ken to script header (daniel)

* Sun Mar 08 2020 daniel <meisssw01 at gmail.com> 1.03-1pclos2020
- rebuilt for latest gtkdialog

* Sat Nov 04 2017 daniel <meisssw01 at gmail.com> 1.02-1pclos2017
- added grub2_read file
- changed description

* Mon Oct 30 2017 daniel <meisssw01 at gmail.com> 1.01-1pclos2017
- generate package for PCLinuxOS
- add update-grub (recommend by Texstar) 
